Explanation

The client is unable to establish a connection.

Cause

A client of a version incompatible with the server tried to establish a connection.

Action

Check the server version and client version.

1. Check the server version with the following command:

$ altibase -v

2. Check the client version with the following command:

$ java -jar $ALTIBASE_HOME/lib/Altibase.jar

Reference

1. For ALTIBASE HDB 5.3.1 and below, the cm protocol version of the server and client must be identical for the client to connect to the server.

2. For ALTIBASE HDB 5.3.3 and above, backwards compatibility for the server and client is supported.

The client can connect to a server of the same or higher version regardless of its cm protocol version whereas, connection fails if the client is of a higher version than the server. In this context, the first three numbers of a product version are denoted as the version (the fourth and succeeding numbers which indicate the patch versions are irrelevant).

Version

All versions